Description

Hello,

| have developed a small plugin (heavily based on the Simple CI plugin) especially for Hudson. | know, that there is lots of
improvements possible. Please find the sources attached. Probably you could add this to your Repository?

History

#1 - 2008-11-12 10:11 - Anonymous

Hello,

| have unfortunately (and against the process) closed this issue already. The attached plugin still needs some (minor) improvements, where | hope
you can probably help me. The Time-parsing is not working correctly, and therefor | have basically turned it off.

Furthermore | have a question, if | could pre-fill the Name of the Custom Property as well as the Success-Wording. This would make the usage of this
plugin even simpler.

Can anyone provide any input on this?
#2 - 2008-11-12 16:29 - Eric Davis

- Due date deleted (2008-11-11)

- Status changed from Resolved to New

- Start date deleted (2008-11-11)
- Resolution deleted (Fixed)

Markus May wrote:

| have unfortunately (and against the process) closed this issue already.

It's reopened now.

#3 - 2008-11-12 17:08 - Sergej Jegorov
It would be fine to have that plugin.
P.S. Hudson can also integrate with external products by using these plugins ...

Redmine Plugin — This plugin integrates Redmine into Hudson.
http://hudson.gotdns.com/wiki/display/HUDSON/Redmine+Plugin

#4 - 2008-11-13 09:27 - Anonymous

The plugin is (in a basic version) attached to the issue. | definitly need some further help for improving this (I am a Java guy and not a Ruby expert).
Especially the Date-Stuff is of interest, | believe. Furthermore, | would, like stated above, definitly like to pre-fill the DB with values for e.g. the Custom
Property Name as well as the Success-word, since this is fixed for this Cl-Tool.

Any help on these one?

#5 - 2008-11-13 11:24 - Anonymous

Some more ideas on this one:

We could use the RSS Feed as the basis. Unfortunately there is no "In Progress" state right now in the RSS feed, meaning, that we are not getting
the current build.

This could be solved through XML-Parsing of the Hudson XML-API Stuff. With this it would also be possible to disable or enable a Job, or to trigger a
build directly.
http://hudson.gotdns.com/wiki/display/HUDSON/Redmine+Plugin

| am currently thinking about two tabs beneath the original Menu-tabs of redmine, where one provides an overview (which is already done on the
basis of the simple Cl plugin) and a new tab, where the User can do the above mentioned stuff. What do you think?

Like stated above, any help would be greatly appreciated :-)
Thanks guys. | believe we can make this to a great plugin.

#6 - 2008-11-15 18:30 - Anonymous
- File hudson_0.0.3.tar.gz added

Hello,
| have now created a new version, with a tighter integration as well as with language settings. This newes version is attached.

#7 - 2008-12-07 22:26 - Anonymous

| would like to add the Build data to the Activity Page. | think, that | need a model-class, which represents the build. Could anyone please provide
some input, on how to design this model-class and use it in the controller?

Thanks.

#8 - 2008-12-07 23:41 - Markus Knittig

Redmine uses a plugin for the activity page (acts_as_activity_provider). The syntax is quite simple. Just look at the news or changeset model. Don't
forget to register the activity provider in your init.rb...

#9 - 2008-12-09 22:21 - Anonymous

My problem is not, on how to register my plugin into the activities, but more on how to create a model using RSS-feeds. Basically | am an Java
Developer and not a Ruby Expert. Probably someone could help me with this plugin? Any help is more then welcome.

| still strongly believe that this plugin is a first step in the direction of building up a whole Integration System with Redmine.

#10 - 2008-12-10 07:27 - Eric Davis

Markus May wrote:
My problem is not, on how to register my plugin into the activities, but more on how to create a model using RSS-feeds. Basically | am an Java
Developer and not a Ruby Expert. Probably someone could help me with this plugin? Any help is more then welcome.

Short answer would be to:

1. Regular rake task to poll the RSS feeds
2.If new RSS entries are found, then parse them and save them to the database via a Model

Once in the Model, they are easy to push to the activity pages.

| still strongly believe that this plugin is a first step in the direction of building up a whole Integration System with Redmine.
I've been wanting to hack on the Simple Cl plugin to add in some more features but haven't found the time yet. Markus May, since you said this is
based on the Simple Cl plugin would you be interested in combining the plugins so there is one main Cl plugin? I'd then like to add in

CruiseControl.rb and maybe some other Cl systems. Ideally, Cl would be like the SCM system where an administrator can pick and configure
Redmine to what system they use.

#11 - 2008-12-10 08:09 - Markus Knittig

Eric Davis wrote:
I've been wanting to hack on the Simple Cl plugin to add in some more features but haven't found the time yet. Markus May, since you said this
is based on the Simple Cl plugin would you be interested in combining the plugins so there is one main Cl plugin? I'd then like to add in

CruiseControl.rb and maybe some other Cl systems. Ideally, Cl would be like the SCM system where an administrator can pick and configure
Redmine to what system they use.

Great idea, | would contribute too.

#12 - 2008-12-10 12:14 - Anonymous
Hello,

the most current source is still attached to this Ticket.

| thought that the model is asking the Hudson (or more commonly the Cl-Server) for the RSS-Data every time and then put this stuff into the activity
via the already bespoken mechanism. Of course this would be a big-time performance hit, therefor Erics idea is great.

| definitly need some help with the Rake Task, which should then be called on the click of the Activity page, to update the Database. Could somebody

help me out here?

#13 - 2009-08-01 03:20 - Toshiyuki Ando

Hello,
| created Hudson Plugin.
Please see the link below.

e Forums -> Plugins -> Hudson Plugin
e Plugin Detalil

Thanks.

#14 - 2013-05-02 00:10 - Jean-Baptiste Barth

- Status changed from New to Closed

Files

hudson.tar.gz 9.85 KB 2008-11-11 Anonymous

hudson_0.0.3.tar.gz 11.5KB 2008-11-15 Anonymous
2025-07-11 3/3


http://www.redmine.org/boards/3/topics/6650
http://www.r-labs.org/wiki/r-labs/Hudson_En
http://www.tcpdf.org

